PolicyList policy pack templates

List policy pack templates

Metadata for the built-in Policy Profile templates.

curl -X GET "https://www.agentkeeper.dev/api/v1/policy-packs/templates" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "templates": [
    {
      "slug": "example_string",
      "name": "John Doe",
      "description": "example_string",
      "shield_section": {},
      "tools_section": {},
      "mcp_section": {},
      "network_section": {}
    }
  ]
}
GET
/api/v1/policy-packs/templates
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

An AgentKeeper API key, sent as Authorization: Bearer ak_live_….

An AgentKeeper API key, sent as Authorization: Bearer ak_live_….
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. An AgentKeeper API key, sent as Authorization: Bearer ak_live_….

Responses

templatesarray